<?php
require '../../../../desenvolvimento/app/bootstrap.php';
require '../../_funcoes.php';
$conectDB = connectDB();
$conectDB->exec("set names utf8mb4");

$dataCadastro = date("Y-m-d H:i:s");

if ($_SERVER['REQUEST_METHOD'] === 'POST') {

		if(empty($_POST['clienteNome'])){
			echo messageJson('erro', 'Informe o seu nome, é obrigatório');exit;
		}
			if(empty($_POST['clienteTelefone'])){
				echo messageJson('erro', 'Informe um número de telefone ou whatsapp');exit;
			}
		if(empty($_POST['clienteMensagem'])){
			echo messageJson('erro', 'Informe uma mensagem, é obrigatório');exit;
		}
			if(empty($_POST['recaptcha'])){
				echo messageJson('erro', 'Erro ao enviar formulário, por favor, atualize a página e envie novamente');exit;
			}


			$imovelCode			= stringInputCleaner($_POST['imovel']);
			$clienteNome   		= stringInputCleaner($_POST['clienteNome']);
			$clienteTelefone   	= stringInputCleaner($_POST['clienteTelefone']);
			$clienteEmail   	= stringInputCleaner($_POST['clienteEmail']);
			$clienteMensagem   	= stringInputCleaner($_POST['clienteMensagem']);
			$recaptcha   		= stringInputCleaner($_POST['recaptcha']);


			//recaptcha valida
			    $response = json_decode(file_get_contents("https://www.google.com/recaptcha/api/siteverify?secret=6LccEYIUAAAAAOfdAQn8PhVAtBJFOXIS3qga-_QC&response=".$recaptcha."&remoteip=".$_SERVER['REMOTE_ADDR']), true);
			    if($response['success'] == false)
			    {
			        echo messageJson('erro', 'Erro no captcha de segurança ao enviar formulário, por favor, atualize a página e envie novamente');exit;
			    }
			//recaptcha valida

			$sql = "
				select
					imovel.id as imovelID,
					usuario.nome,
					usuario.id as usuarioID,
					usuario.email
				from
					imovel,
					usuario
				WHERE
					imovel.codigo = '{$imovelCode}' and
					usuario.id = imovel.usuario_id
			";
			//echo $sql ;
			$dadosImovel  = query($conectDB, '', $sql);
			if($dadosImovel !== 'error'){
				if(!empty($dadosImovel[0]->imovelID))
				{
						$cadinsert = "INSERT into mensagem (codigo, imovel_id, usuario_imovel_id, cliente_nome, cliente_telefone, cliente_email, cliente_mensagem, cadastro) VALUES (
							:codigo, :imovel_id, :usuario_imovel_id, :cliente_nome, :cliente_telefone, :cliente_email, :cliente_mensagem, :cadastro
						)";
						
						$ativo = 1;
						$codigo	  = uniqid(time().'.'.rand(), true);
						try {
							$cadresult = $conectDB->prepare($cadinsert);
							$cadresult->bindParam(':codigo' , 				$codigo, PDO::PARAM_STR);
							$cadresult->bindParam(':imovel_id' , 			$dadosImovel[0]->imovelID, PDO::PARAM_STR);
							$cadresult->bindParam(':usuario_imovel_id' , 	$dadosImovel[0]->usuarioID, PDO::PARAM_STR);
							$cadresult->bindParam(':cliente_nome' , 		$clienteNome, PDO::PARAM_STR);
							$cadresult->bindParam(':cliente_telefone' , 	$clienteTelefone, PDO::PARAM_STR);
							$cadresult->bindParam(':cliente_email', 		$clienteEmail, PDO::PARAM_STR);
							$cadresult->bindParam(':cliente_mensagem', 		$clienteMensagem, PDO::PARAM_STR);
							$cadresult->bindParam(':cadastro' , 			$dataCadastro, PDO::PARAM_STR);
							if($cadresult->execute()){

								//envia mensagem ao proprietario anunciante
								//enviaEmail($dadosImovel[0]->email, $dadosImovel[0]->nome, "Oba, você recebeu uma nova mensagem", $configEmails['professorNovaMensagemdaEscola'], '', '');
								//envia mensagem ao proprietario anunciante

								echo messageJson('sucesso', 'Mensagem enviada com sucesso, aguarde o anunciante entrará em contato', '', '' );
							}
						}
						catch(PDOException $e) {
							echo messageJson('erro', 'Houve algo de errado, tente novamente', '', '');
						}
				}
				else
				{
					echo messageJson('erro', 'Houve algo de errado, informações internas não encontradas', '', '');
				}
			}
			



}